package xiaoqu.home.open.model.db2;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 场景对象
 * </p>
 *
 * @author mk
 * @since 2022-04-19
 */
@TableName("scene_object")
@ApiModel(value="SceneObject对象", description="场景对象")
public class SceneObject extends Model<SceneObject> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建人")
    @TableField("create_name")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改人")
    @TableField("modify_name")
    private String modifyName;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "对象名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "级别")
    @TableField("level")
    private Integer level;

    @ApiModelProperty(value = "状态（0:停用;1:启用）")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "排序")
    @TableField("sort")
    private Integer sort;

    @ApiModelProperty(value = "备注")
    @TableField("memo")
    private String memo;

    @ApiModelProperty(value = "数据源（0:人工录入;1:导入）")
    @TableField("source_type")
    private Integer sourceType;

    @ApiModelProperty(value = "站点id")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "物业id")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "代理id")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "站点名称")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "物业名称")
    @TableField("property_name")
    private String propertyName;

    @ApiModelProperty(value = "代理名称")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "管理级别（0:代理;1:物业;2:站点）")
    @TableField("manager_level")
    private Integer managerLevel;

    @ApiModelProperty(value = "对象id")
    @TableField("object_id")
    private Long objectId;

    @ApiModelProperty(value = "对象名称")
    @TableField("object_name")
    private String objectName;

    @ApiModelProperty(value = "对象上级id")
    @TableField("object_parent_id")
    private Long objectParentId;

    @ApiModelProperty(value = "对象上级名称")
    @TableField("object_parent_name")
    private String objectParentName;

    @ApiModelProperty(value = "场景id")
    @TableField("scenes_id")
    private Long scenesId;

    @ApiModelProperty(value = "场景名称")
    @TableField("scenes_name")
    private String scenesName;

    @ApiModelProperty(value = "场景级别1:1级;2:2级")
    @TableField("scenes_level")
    private Integer scenesLevel;

    @ApiModelProperty(value = "区域名称")
    @TableField("grid_name")
    private String gridName;

    @ApiModelProperty(value = "上级区域名称拼接")
    @TableField("superior_grid_name")
    private String superiorGridName;

    @ApiModelProperty(value = "区域级别1:1级;2:2级")
    @TableField("grid_level")
    private Integer gridLevel;

    @ApiModelProperty(value = "区域id")
    @TableField("grid_id")
    private Long gridId;

    @ApiModelProperty(value = "一级网格")
    @TableField("building_id")
    private Long buildingId;

    @ApiModelProperty(value = "二级网格")
    @TableField("floor_id")
    private Long floorId;

    @ApiModelProperty(value = "多级网格")
    @TableField("multistage_grid_id")
    private Long multistageGridId;

    @ApiModelProperty(value = "上级场景名称")
    @TableField("superior_scenes_name")
    private String superiorScenesName;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public String getModifyName() {
        return modifyName;
    }

    public void setModifyName(String modifyName) {
        this.modifyName = modifyName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Integer getSourceType() {
        return sourceType;
    }

    public void setSourceType(Integer sourceType) {
        this.sourceType = sourceType;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public Integer getManagerLevel() {
        return managerLevel;
    }

    public void setManagerLevel(Integer managerLevel) {
        this.managerLevel = managerLevel;
    }

    public Long getObjectId() {
        return objectId;
    }

    public void setObjectId(Long objectId) {
        this.objectId = objectId;
    }

    public String getObjectName() {
        return objectName;
    }

    public void setObjectName(String objectName) {
        this.objectName = objectName;
    }

    public Long getObjectParentId() {
        return objectParentId;
    }

    public void setObjectParentId(Long objectParentId) {
        this.objectParentId = objectParentId;
    }

    public String getObjectParentName() {
        return objectParentName;
    }

    public void setObjectParentName(String objectParentName) {
        this.objectParentName = objectParentName;
    }

    public Long getScenesId() {
        return scenesId;
    }

    public void setScenesId(Long scenesId) {
        this.scenesId = scenesId;
    }

    public String getScenesName() {
        return scenesName;
    }

    public void setScenesName(String scenesName) {
        this.scenesName = scenesName;
    }

    public Integer getScenesLevel() {
        return scenesLevel;
    }

    public void setScenesLevel(Integer scenesLevel) {
        this.scenesLevel = scenesLevel;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getSuperiorGridName() {
        return superiorGridName;
    }

    public void setSuperiorGridName(String superiorGridName) {
        this.superiorGridName = superiorGridName;
    }

    public Integer getGridLevel() {
        return gridLevel;
    }

    public void setGridLevel(Integer gridLevel) {
        this.gridLevel = gridLevel;
    }

    public Long getGridId() {
        return gridId;
    }

    public void setGridId(Long gridId) {
        this.gridId = gridId;
    }

    public Long getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    public Long getFloorId() {
        return floorId;
    }

    public void setFloorId(Long floorId) {
        this.floorId = floorId;
    }

    public Long getMultistageGridId() {
        return multistageGridId;
    }

    public void setMultistageGridId(Long multistageGridId) {
        this.multistageGridId = multistageGridId;
    }

    public String getSuperiorScenesName() {
        return superiorScenesName;
    }

    public void setSuperiorScenesName(String superiorScenesName) {
        this.superiorScenesName = superiorScenesName;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "SceneObject{" +
        "id=" + id +
        ", createId=" + createId +
        ", createName=" + createName +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyName=" + modifyName +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", name=" + name +
        ", level=" + level +
        ", status=" + status +
        ", sort=" + sort +
        ", memo=" + memo +
        ", sourceType=" + sourceType +
        ", districtId=" + districtId +
        ", propertyId=" + propertyId +
        ", agentId=" + agentId +
        ", districtName=" + districtName +
        ", propertyName=" + propertyName +
        ", agentName=" + agentName +
        ", managerLevel=" + managerLevel +
        ", objectId=" + objectId +
        ", objectName=" + objectName +
        ", objectParentId=" + objectParentId +
        ", objectParentName=" + objectParentName +
        ", scenesId=" + scenesId +
        ", scenesName=" + scenesName +
        ", scenesLevel=" + scenesLevel +
        ", gridName=" + gridName +
        ", superiorGridName=" + superiorGridName +
        ", gridLevel=" + gridLevel +
        ", gridId=" + gridId +
        ", buildingId=" + buildingId +
        ", floorId=" + floorId +
        ", multistageGridId=" + multistageGridId +
        ", superiorScenesName=" + superiorScenesName +
        "}";
    }
}
